function [phage_TPR,  phage_FPR,  phage_AUC,...
          plasmid_TPR,plasmid_FPR,plasmid_AUC,...
          perUncertained,accuracy]=evaUnderThre(ppr,test_data,t)

for c={'phage','plasmid'}
    cc=c{1};
    if strcmp(cc,'phage')
        p=1;
    else
        p=3;
    end
    TP=0;
    TN=0;
    FN=0;
    FP=0;
    targets=[];
    outputs=[];
    for i=1:1:size(test_data,1)
        [m1,n1]=max(test_data(i).label);
        [m2,n2]=max([ppr{i,3},ppr{i,4},ppr{i,5}]);
        if m2<t
            continue
        end
        if n1==p && strcmp(ppr{i,6},cc)
            TP=TP+1;
        elseif n1~=p && ~strcmp(ppr{i,6},cc)
            TN=TN+1;
        elseif n1==p && ~strcmp(ppr{i,6},cc)
            FN=FN+1;
        elseif n1~=p && strcmp(ppr{i,6},cc)
            FP=FP+1;
        end
        targets=[targets,str2num(test_data(i).label(p))];
        outputs=[outputs,ppr{i,p+2}];
    end
    if p==1
        phage_TPR=TP/(TP+FN);
        phage_FPR=FP/(FP+TN);
        [X,Y,TT,phage_AUC]=perfcurve(targets,outputs,1);
    else
        plasmid_TPR=TP/(TP+FN);
        plasmid_FPR=FP/(FP+TN);
        [X,Y,TT,plasmid_AUC]=perfcurve(targets,outputs,1);
    end
end

certained=0;
correct=0;
for i=1:1:size(test_data,1)
    [m1,n1]=max(test_data(i).label);
    [m2,n2]=max([ppr{i,3},ppr{i,4},ppr{i,5}]);
    if m2>=t
        certained=certained+1;
        if n1==n2
            correct=correct+1;
        end
    end
end

perUncertained=(size(test_data,1)-certained) / size(test_data,1);
accuracy=correct/certained;
